Bug 639957 - Content new upload package gives error in UI
Content new upload package gives error in UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.0.0
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-04 08:29 EDT by Rajan Timaniya
Modified: 2011-05-23 21:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error-screenshot (109.08 KB, image/png)
2010-10-04 08:29 EDT, Rajan Timaniya
no flags Details
server log (384.15 KB, text/x-log)
2010-10-04 08:30 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-10-04 08:29:29 EDT
Created attachment 451388 [details]
error-screenshot

Description of problem:
RHQ gives error in UI for content new upload package.

Version-Release number of selected component (if applicable):
RHQ-Master build #363
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/363/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server and agent (import all resources to inventory)
2) Log-in to RHQ
3) Select Jboss AS 
4) Go to  'Content -> New' tab
5) Click on 'UPLOAD NEW PACKAGE'
  
Actual results:
RHQ gives error in UI for content new upload package.

Expected results:
RHQ should upload content new upload package with any error.

Additional info:
Please refer attached error-screenshot and server log.
Comment 1 Rajan Timaniya 2010-10-04 08:30:09 EDT
Created attachment 451389 [details]
server log
Comment 2 John Mazzitelli 2011-04-01 11:04:01 EDT
lukas - you recently was updating/looking at the content source/repo/package stuff right? can you see if this is still a problem and if so, is it fixable for RHQ4 release?
Comment 3 Lukas Krejci 2011-04-04 12:28:54 EDT
This should be working.

The missing pages were added while content subsystem was being enhanced with the permissions, namely by commit def54be15f2c4ca6e0993658585b37e84c0b68e8.
Comment 4 Mike Foley 2011-04-11 13:17:40 EDT
verified through interactive testing.
Comment 5 Corey Welton 2011-05-23 21:17:33 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:33 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:34 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:17:34 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.